Expression Cross Site Scripting

2010-10-11T00:00:00
ID PACKETSTORM:94588
Type packetstorm
Reporter High-Tech Bridge SA
Modified 2010-10-11T00:00:00

Description

                                        
                                            `===================================  
Vulnerability ID: HTB22618  
Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_expression_cms_1.html  
Product: Expression   
Vendor: Backbone Technology ( http://www.backbonetechnology.com )   
Vulnerable Version: Current at 18.09.2010 and Probably Prior Versions  
Vendor Notification: 22 September 2010   
Vulnerability Type: XSS (Cross Site Scripting)  
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response  
Risk level: Medium   
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)   
  
Vulnerability Details:  
User can execute arbitrary JavaScript code within the vulnerable application.  
  
The vulnerability exists due to failure in the "contact us" page to properly sanitize user-supplied input in "section_copy_id" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.  
  
An attacker can use browser to exploit this vulnerability. The following PoC is available:  
  
  
http://host/?section_copy_id=1005176%27%22%3E%3Cscript%3Ealert%28123%29%3C/script%3E  
  
  
===================================  
Vulnerability ID: HTB22617  
Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_expression_cms.html  
Product: Expression   
Vendor: Backbone Technology ( http://www.backbonetechnology.com )   
Vulnerable Version: Current at 18.09.2010 and Probably Prior Versions  
Vendor Notification: 22 September 2010   
Vulnerability Type: XSS (Cross Site Scripting)  
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response  
Risk level: Medium   
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)   
  
Vulnerability Details:  
User can execute arbitrary JavaScript code within the vulnerable application.  
  
The vulnerability exists due to failure in the "contact us" page to properly sanitize user-supplied input in "section_id" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.  
  
An attacker can use browser to exploit this vulnerability. The following PoC is available:  
  
http://host/?section_id=1002815%27%22%3E%3Cscript%3Ealert%28/XSS/%29%3C/script%3E  
  
  
`